| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GaudiTesting.BaseTest.Result Class Reference
Collaboration diagram for GaudiTesting.BaseTest.Result:
[legend]

## Public Member Functions
def | __init__ (self, kind=None, id=None, outcome=PASS, annotations={})
def | __getitem__ (self, key)
def | __setitem__ (self, key, value)
def | Quote (self, string)

## Public Attributes
| annotations

## Static Public Attributes
string | PASS = 'PASS'
string | FAIL = 'FAIL'
string | ERROR = 'ERROR'
string | UNTESTED = 'UNTESTED'
string | EXCEPTION = ""
string | RESOURCE = ""
string | TARGET = ""
string | TRACEBACK = ""
string | START_TIME = ""
string | END_TIME = ""
string | TIMEOUT_DETAIL = ""

## Detailed Description

Definition at line 565 of file BaseTest.py.

## Constructor & Destructor Documentation

def GaudiTesting.BaseTest.Result.__init__ | ( |  | self,
|  |  | kind = `None`,
|  |  | id = `None`,
|  |  | outcome = `PASS`,
|  |  | annotations = `{}`
| ) |  |

Definition at line 580 of file BaseTest.py.

580 def __init__(self,kind=None,id=None,outcome=PASS,annotations={}):
581 self.annotations = annotations.copy()
582
GaudiTesting.BaseTest.Result.__init__
def __init__(self, kind=None, id=None, outcome=PASS, annotations={})
Definition: BaseTest.py:580
GaudiTesting.BaseTest.Result.annotations
annotations
Definition: BaseTest.py:581

## Member Function Documentation

def GaudiTesting.BaseTest.Result.__getitem__ | ( |  | self,
|  |  | key
| ) |  |

Definition at line 583 of file BaseTest.py.

583 def __getitem__(self,key):
584 assert type(key) in types.StringTypes
585 return self.annotations[key]
586
gaudirun.type
type
Definition: gaudirun.py:125
GaudiTesting.BaseTest.Result.annotations
annotations
Definition: BaseTest.py:581
GaudiTesting.BaseTest.Result.__getitem__
def __getitem__(self, key)
Definition: BaseTest.py:583

def GaudiTesting.BaseTest.Result.__setitem__ | ( |  | self,
|  |  | key,
|  |  | value
| ) |  |

Definition at line 587 of file BaseTest.py.

587 def __setitem__(self,key,value):
588 assert type(key) in types.StringTypes
589 assert type(value) in types.StringTypes
590 self.annotations[key]=value
591
gaudirun.type
type
Definition: gaudirun.py:125
GaudiTesting.BaseTest.Result.__setitem__
def __setitem__(self, key, value)
Definition: BaseTest.py:587
GaudiTesting.BaseTest.Result.annotations
annotations
Definition: BaseTest.py:581

def GaudiTesting.BaseTest.Result.Quote | ( |  | self,
|  |  | string
| ) |  |

Definition at line 592 of file BaseTest.py.

592 def Quote(self,string):
593 return string
594
595
596 #-------------------------------------------------------------------------#
597 #--------------------------- Validator Classes ---------------------------#
598 #-------------------------------------------------------------------------#
599
600 #Basic implementation of an option validator for Gaudi test. This implementation is based on the standard (LCG) validation functions used in QMTest.
601
602
GaudiTesting.BaseTest.Result.Quote
def Quote(self, string)
Definition: BaseTest.py:592

## Member Data Documentation

GaudiTesting.BaseTest.Result.annotations

Definition at line 581 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.END_TIME = ""
| static

Definition at line 577 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.ERROR = 'ERROR'
| static

Definition at line 569 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.EXCEPTION = ""
| static

Definition at line 572 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.FAIL = 'FAIL'
| static

Definition at line 568 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.PASS = 'PASS'
| static

Definition at line 567 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.RESOURCE = ""
| static

Definition at line 573 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.START_TIME = ""
| static

Definition at line 576 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.TARGET = ""
| static

Definition at line 574 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.TIMEOUT_DETAIL = ""
| static

Definition at line 578 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.TRACEBACK = ""
| static

Definition at line 575 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.UNTESTED = 'UNTESTED'
| static

Definition at line 570 of file BaseTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py